org.apache.poi.xdgf.extractor

## Class XDGFVisioExtractor

- java.lang.Object
- - org.apache.poi.extractor.POITextExtractor
  - - org.apache.poi.ooxml.extractor.POIXMLTextExtractor
    - - org.apache.poi.xdgf.extractor.XDGFVisioExtractor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class XDGFVisioExtractor
      extends POIXMLTextExtractor

  Helper class to extract text from an OOXML Visio File

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XmlVisioDocument` | `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDGFVisioExtractor(OPCPackage openPackage)`
    `XDGFVisioExtractor(XmlVisioDocument document)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Retrieves all the text from the document.
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class org.apache.poi.ooxml.extractor.POIXMLTextExtractor

      `checkMaxTextSize, close, getCoreProperties, getCustomProperties, getDocument, getExtendedProperties, getMetadataTextExtractor, getPackage`

    - ### Methods inherited from class org.apache.poi.extractor.POITextExtractor

      `setFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### document

          protected final XmlVisioDocument document

  - ### Constructor Detail

    - #### XDGFVisioExtractor

          public XDGFVisioExtractor(XmlVisioDocument document)

    - #### XDGFVisioExtractor

          public XDGFVisioExtractor(OPCPackage openPackage)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Description copied from class: `POITextExtractor`
      Retrieves all the text from the document. How cells, paragraphs etc are separated in the text is implementation specific - see the javadocs for a specific project for details.
      Specified by:
        `getText` in class `POITextExtractor`
      Returns:
        All the text from the document

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.